aboutsummaryrefslogtreecommitdiff
path: root/sync-code
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2013-02-01 18:54:24 -0200
committerSilvio Rhatto <rhatto@riseup.net>2013-02-01 18:54:24 -0200
commit2a541cecb9f0ba6f7d1d2db2b6362a3a023b2a44 (patch)
tree667ade8a5215b4f1d2f3d3bafa19a12df0a874cf /sync-code
parent51b40cc0f17cbfdacd1098ffbe83432c4458f1da (diff)
downloadscripts-2a541cecb9f0ba6f7d1d2db2b6362a3a023b2a44.tar.gz
scripts-2a541cecb9f0ba6f7d1d2db2b6362a3a023b2a44.tar.bz2
Making sync-home also sync-code
Diffstat (limited to 'sync-code')
-rwxr-xr-xsync-code24
1 files changed, 24 insertions, 0 deletions
diff --git a/sync-code b/sync-code
new file mode 100755
index 0000000..bdb5f32
--- /dev/null
+++ b/sync-code
@@ -0,0 +1,24 @@
+#!/bin/bash
+#
+# sync code or home folder across systems
+#
+
+BASENAME="`basename $0`"
+DEST="$1"
+
+if [ ! -z "$DEST" ]; then
+
+ if [ "$BASENAME" == "sync-code" ]; then
+ profile="$DEST-code"
+ else
+ profile="$DEST-home"
+ fi
+
+ if [ -f "$HOME/.unison/$profile.prf" ]; then
+ unison $profile
+ else
+ echo "No such profile $HOME/.unison/$profile.prf"
+ exit 1
+ fi
+
+fi